$geslo = ConvertTo-SecureString "Geslo2021" -AsPlainText -Force

# SRC: https://stackoverflow.com/a/63112625/11276254
function Remove-Diacritics {
  param ([String]$src = [String]::Empty)
    $normalized = $src.Normalize( [Text.NormalizationForm]::FormD )
    ($normalized -replace '\p{M}', '')
}

Import-Csv .\lista.csv | ForEach-Object {
  $first = $_.GivenName
  $last = $_.Surname
  $username = "$($first.ToLower()).$($last.ToLower())" -replace " ","."
  $username = Remove-Diacritics ($username)

  Write-Host "$first - $last - $username"
  # New-ADUser -Name $username -GivenName $first -Surname $last -DisplayName "$first $last" -EmailAddress "$username@aljalinux.nat" -Path "OU=OU4,OU=Podjetje,DC=aljalinux,DC=nat" -AccountPassword $geslo -Enabled $True
}